#include "exkana.h"

UChar AKASATANA[]={
	0x3042, /* あ */
	0x304b, /* か */
	0x3055, /* さ */
	0x306f, /* た */
	0x306a, /* な */
	0x306f, /* は */
	0x307e, /* ま */
	0x3084, /* や */
	0x3089, /* ら */
	0x308f, /* わ */
	0
};
char AKASATANAutf8[]={
	0xe3,0x81,0x82, /* あ */
	0xe3,0x81,0x8b, /* か */
	0xe3,0x81,0x95, /* さ */
	0xe3,0x81,0x9f, /* た */
	0xe3,0x81,0xaa, /* な */
	0xe3,0x81,0xaf, /* は */
	0xe3,0x81,0xbe, /* ま */
	0xe3,0x82,0x84, /* や */
	0xe3,0x82,0x89, /* ら */
	0xe3,0x82,0x8f, /* わ */
	0
};
UChar *akasatana;

UChar AIUEO[]={
	0x3042, /* あ */
	0x3044, /* い */
	0x3046, /* う */
	0x3048, /* え */
	0x304a, /* お */
	0x304b, /* か */
	0x304d, /* き */
	0x304f, /* く */
	0x3051, /* け */
	0x3053, /* こ */
	0x3055, /* さ */
	0x3057, /* し */
	0x3059, /* す */
	0x305b, /* せ */
	0x305d, /* そ */
	0x305f, /* た */
	0x3061, /* ち */
	0x3064, /* つ */
	0x3066, /* て */
	0x3068, /* と */
	0x306a, /* な */
	0x306b, /* に */
	0x306c, /* ぬ */
	0x306d, /* ね */
	0x306e, /* の */
	0x306f, /* は */
	0x3072, /* ひ */
	0x3075, /* ふ */
	0x3078, /* へ */
	0x307b, /* ほ */
	0x307e, /* ま */
	0x307f, /* み */
	0x3080, /* む */
	0x3081, /* め */
	0x3082, /* も */
	0x3084, /* や */
	0x3086, /* ゆ */
	0x3088, /* よ */
	0x3089, /* ら */
	0x308a, /* り */
	0x308b, /* る */
	0x308c, /* れ */
	0x308d, /* ろ */
	0x308f, /* わ */
	0x3090, /* ゐ */
	0x3091, /* ゑ */
	0x3092, /* を */
	0x3093, /* ん */
	0
};
UChar *aiueo;
UChar kanatable[]={
	0x3042, /* あ */
	0x3042, /* あ */
	0x3044, /* い */
	0x3044, /* い */
	0x3046, /* う */
	0x3046, /* う */
	0x3048, /* え */
	0x3048, /* え */
	0x304a, /* お */
	0x304a, /* お */
	0x304b, /* か */
	0x304b, /* か */
	0x304d, /* き */
	0x304d, /* き */
	0x304f, /* く */
	0x304f, /* く */
	0x3051, /* け */
	0x3051, /* け */
	0x3053, /* こ */
	0x3053, /* こ */
	0x3055, /* さ */
	0x3055, /* さ */
	0x3057, /* し */
	0x3057, /* し */
	0x3059, /* す */
	0x3059, /* す */
	0x305b, /* せ */
	0x305b, /* せ */
	0x305d, /* そ */
	0x305d, /* そ */
	0x305f, /* た */
	0x305f, /* た */
	0x3061, /* ち */
	0x3061, /* ち */
	0x3064, /* つ */
	0x3064, /* つ */
	0x3064, /* つ */
	0x3066, /* て */
	0x3066, /* て */
	0x3068, /* と */
	0x3068, /* と */
	0x306a, /* な */
	0x306b, /* に */
	0x306c, /* ぬ */
	0x306d, /* ね */
	0x306e, /* の */
	0x306f, /* は */
	0x306f, /* は */
	0x306f, /* は */
	0x3072, /* ひ */
	0x3072, /* ひ */
	0x3072, /* ひ */
	0x3075, /* ふ */
	0x3075, /* ふ */
	0x3075, /* ふ */
	0x3078, /* へ */
	0x3078, /* へ */
	0x3078, /* へ */
	0x307b, /* ほ */
	0x307b, /* ほ */
	0x307b, /* ほ */
	0x307e, /* ま */
	0x307f, /* み */
	0x3080, /* む */
	0x3081, /* め */
	0x3082, /* も */
	0x3084, /* や */
	0x3084, /* や */
	0x3086, /* ゆ */
	0x3086, /* ゆ */
	0x3088, /* よ */
	0x3088, /* よ */
	0x3089, /* ら */
	0x308a, /* り */
	0x308b, /* る */
	0x308c, /* れ */
	0x308d, /* ろ */
	0x308f, /* わ */
	0x308f, /* わ */
	0x3090, /* ゐ */
	0x3091, /* ゑ */
	0x3092, /* を */
	0x3093, /* ん */
	0x3046, /* う */
	0x304b, /* か */
	0x304b, /* か */
	0x308f, /* わ */
	0x3090, /* ゐ */
	0x3091, /* ゑ */
	0x3092, /* を */
	0
};

UChar SPACE  =0x3000; /* 全角スペース */
UChar ALPHATOP=0xff01; /* ！ */
UChar ALPHAEND=0xff5a; /* ｚ */
UChar YENSIGN =0xffe5; /* ￥ */
UChar HIRATOP=0x3041; /* ぁ */
UChar HIRAEND=0x3096; /* ゖ */
UChar KATATOP=0x30a1; /* ァ */
UChar KATAEND=0x30fa; /* ヺ */
